// ----------------------------------------------------------------------------
// Empty.java
// The "empty" command (for signalling purposes).
// $Id: Empty.java,v 1.4 2005/12/16 22:24:00 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2005, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
// ----------------------------------------------------------------------------
package fmrisc.ProofNavigator.Commands;

import java.io.PrintWriter;

import org.w3c.dom.Node;

/**
 * 
 * The virtual "empty" command: do nothing.
 *
 */
public final class Empty extends CommandBase
{
  public final static String Name = "empty";
  
  /***************************************************************************
   * create an "empty" command
   **************************************************************************/
  public Empty()
  {
    super(Name);
  }
  
  /****************************************************************************
   * Process command "empty": do nothing.
   ***************************************************************************/
  public void process()
  {
  }
  
  /***************************************************************************
   * Convert DOM node to command.
   * @param node the DOM representation of the command.
   * @return the command (null, if an error occured).
   **************************************************************************/
  public static Command newCommand(Node node)
  {
    return new Empty();
  }
  
  /***************************************************************************
   * print command
   * @param out the stream on which the text is written
   **************************************************************************/
  public void printCore(PrintWriter out)
  {
    out.print(getName());
  }
}
