// ----------------------------------------------------------------------------
// InvalidAnswer.java
// Answer that formula is invalid.
// $Id: InvalidAnswer.java,v 1.2 2005/11/18 17:18:25 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2005, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
// ----------------------------------------------------------------------------
package fmrisc.Proving;

import fmrisc.Syntax.*;

/**
 * 
 * Answer that formula is invalid.
 *
 */
public class InvalidAnswer extends AnswerBase
{
  /****************************************************************************
   * Create answer that formula is valid with denoted justification.
   * @param justification why is formula invalid.
   ***************************************************************************/
  public InvalidAnswer(String justification)
  {
    super(justification);
  }
  
  /****************************************************************************
   * Interpret justification as a counterexample.
   * @return sequence of formulas whose conjunction represents a refutation
   *         (null, if answer cannot be interpreted in this way)
   ***************************************************************************/
  public Expression[] getCounterExample()
  {
    return null;
  }
}