// ----------------------------------------------------------------------------
// UnknownAnswer.java
// Answer that truth of formula is unknown.
// $Id: UnknownAnswer.java,v 1.1 2005/11/18 17:18:25 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2005, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
// ----------------------------------------------------------------------------
package fmrisc.Proving;

/**
 * 
 * Answer that truth of formula is unknown.
 *
 */
public final class UnknownAnswer extends AnswerBase
{
  /****************************************************************************
   * Create answer that truth of formula is unknown with denoted justification.
   * @param justification justification why answer is unknown.
   ***************************************************************************/
  public UnknownAnswer(String justification)
  {
    super(justification);
  }
}